Bug 110231 - Filesystem NLS should default to UTF-8
Filesystem NLS should default to UTF-8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 07:25 EST by Nick Lamb
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Lamb 2003-11-17 07:25:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Current Red Hat/ Fedora kernel configs all set
CONFIG_NLS_DEFAULT="iso8859-1"

This should be changed to

CONFIG_NLS_DEFAULT="utf8"

The resulting kernels will interoperate properly with non-Unix
filesystems (such as VFAT floppy disks, Joliet CDs) when the user has
(as is normal these days) a UTF-8 locale.

Without this fix (or a workaround, such as kudzu marking devices as
utf8) dataloss (due to the invalid conversion of metadata characters)
and other annoying problems are inevitable and ongoing.
Comment 1 David Lawrence 2004-09-29 15:41:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.